# sc::Pool Class Reference

List of all members.

## Public Member Functions
| Pool (size_t)
size_t | size ()
void * | allocate (size_t size)
void | release (void *d)
double * | allocate_double (size_t n)
void | release (double *d)
int * | allocate_int (size_t n)
void | release (int *d)
void | print (std::ostream &o=ExEnv::out0())
void | check ()
## Protected Types
enum | { freelist_size = sizeof(size_t)*8 }
## Protected Member Functions
PoolData * | voidptr_to_pd (void *d)
int | freelist_find_slot (size_t)
void | freelist_add (PoolData *)
void | freelist_del (PoolData *)
## Protected Attributes
PoolData * | freelist_ [freelist_size]
size_t | size_
PoolData * | firstdatum_

The documentation for this class was generated from the following file:

- pool.h